<?php
class LinkedInShare_Listener
{
    
    public static function template_hook ($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template)
    {
        if ($hookName == 'share_page_options')
        {            
            $ourTemplate = $template->create('share_page_linkedin', $template->getParams());		
            $rendered = $ourTemplate->render();
            $contents = $rendered . $contents;       
        }
		
        if ($hookName == 'sidebar_share_page_options')
        {
            $ourTemplate = $template->create('share_page_linkedin', $template->getParams());
            $rendered = $ourTemplate->render();
            $contents .= $rendered;       
        }		
    }
    
}
